{% extends 'blog/base.html' %}

{% block title %}
Поиск по запросу: {{query}}
{% endblock %}

{% block content %}
<div class="container">
    <div class="row">
        <div class="col-md-9">
            <div class="row">
                {% for post in posts %}
                    <div class="col-md-4">
                        {% if post.image.url != null %}
                        <img src="{{post.image.url}}" style="height: 200px; width: 100%; object-fit: cover" alt="">
                        {% endif %}
                        <h3 class="text-center">{{post.title}}</h3>
                    </div>
                {% empty %}
                <h2>По запросу "{{query}}" ничего не найдено!</h2>
                {% endfor %}
            </div>
        </div>
        <div class="col-md-3">
        
            <form action="{% url 'sort' %}" method="GET">
                <select name="sort" onchange="{this.form.submit()}">
                    <option value="date">Сначало новые</option>
                    <option value="date">Сначало старые</option>
                    <option value="-views">Популярный</option>
                    <option value="views">Непопуляный</option>
                </select>
            </form>
        </div>
    </div>
</div>
{% endblock %}
